/*
colpick Color Picker
Copyright 2013 Jose Vargas. Licensed under GPL license. Based on Stefan Petre's Color Picker www.eyecon.ro, dual licensed under the MIT and GPL licenses

For usage and examples: colpick.com/plugin
 */

(function ($) {
		
	$.fn.compile_data = function (template, template_css) {
			
		var variables ="";
		
		template_css= template_css || '0';
		
			
		// get all colour values from picker inputs
		$('.zt-picker').each(function() {
				
			var value = $(this).val();
				value = value.replace('#', '');
		
			var id = $(this).attr('id'); 
			
			if(value !=="") {
				variables += id;
				variables += '||';
				variables += value;
				variables += '___';
			}
			
			// In case value isnt set
			else {
				variables += id;
				variables += '||';
				variables += 'inherit';
				variables += '___';
			}  
		      		
		});
			
		// Get settings from other inputs marked to compile
		var settings = "";
		
		$('input[data-compile="1"],input[data-compile="both"]').each(function() {
			
			var value = $(this).val();
			var id = $(this).attr('id'); 
	
				settings += id;
				settings += '||';
				settings += value;
				settings += '___';
			    		
		});
	

		// Check for other settings
		var framework_enable = $('input#framework_enable').val();
		var framework_version = $('#framework_version').val();
		var framework_files = $('li[data-name="framework_files_group"] input').val();
		var compress = $('li[data-name="compresscss"] input').val();
		var fontawesome_type = $('#font_awesome_type').val();
		var custom_less = $('#add_to_compiler').val();
		var style_name = $('#save-style').val();
			style_name = style_name.replace(/\s+/g, '-').toLowerCase();
		
		// Set the saved value on click of the button
		$("#theme").val(style_name);
		
		var animate = $('#enable_animations').val();
		
		if(animate) {
			
			var animations = "";
			
			$('select[data-animate="1"]').each(function() {
				var animation = $(this).val();
				animations += animation;
				animations += ","	
			});
		}
		
		var url = '../?template=' + template + '&tmpl=ajax&function=ajax-compiler';

		$.ajax({
	        url: url,
	        method: 'post',
	        context: document.body,
	        data: {
	        	settings: settings,
	        	variables: variables,
	        	compress: compress,
	        	framework_enable: framework_enable,
	        	framework_version: framework_version,
	        	framework_files: framework_files,
	        	fontawesome_type: fontawesome_type,
	        	custom_less: custom_less,
	        	style_name: style_name,
	        	animate: animate,
	        	animations: animations,
	        	template_css: template_css
	        },
	        
	        beforeSend: function () {
	          	$('.compiler').addClass('active');
	          	$('.compiler .button-title').text('Compiling Less to CSS');
	          	jQuery('#zgfmessage').html('').fadeOut();	            	                    
	        },
	        success: function (data) {
	        	$('.compiler').removeClass('active');
	        	jQuery('#zgfmessage').html(data).fadeIn('normal', function() {
	        			jQuery('#zgfmessage').delay(3000).fadeOut();
	        		});
	        	$('.compiler .button-title').text('Save and compile theme');
	        	
	        	$('#compile_required').val('0');
	        	var style_name = $('#save-style').val();
	        	$('input#theme').val(style_name);
	        }
	    });
	  
	};
		
})(jQuery);
