<?php
/**
 * @package		##package##
 * @subpackage	##subpackage##
 * @author		##author##
 * @copyright 	##copyright##
 * @license		##license##
 * @version		##version##
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );




// Define template name
if (!defined('TEMPLATE')) {
	define( 'TEMPLATE', basename(dirname(dirname(dirname(__FILE__)))));
}

jimport('joomla.filesystem.file');
jimport('joomla.filesystem.path');


/**
 * Import LESS PHP
 *
 *
 */

	require_once JPath::clean(__DIR__ . '/../libs/lessc/Less.php');



/**
 * Get settings sent from Admin
 *
 *
 */

	$jinput = JFactory::getApplication()->input;
	$framework_enable = $jinput->get('framework_enable');
	$compressed = $jinput->get('compress');
	$enable_template_css = $jinput->get('template_css');
	$style_name = $jinput->get('style_name', '', 'RAW');
	$style_name = strtolower(str_replace(' ', '-', $style_name));
	$fontawesome_type = $jinput->get('fontawesome_type');
	$variables = $jinput->get('variables', '', 'RAW');
	$variables = explode('___', $variables);
	$settings = $jinput->get('settings', '', 'RAW');
	$settings = explode('___', $settings);
	$addtocompiler = $jinput->get('custom_less', '', 'RAW');
	$animate = $jinput->get('animate');
	$animations = $jinput->get('animations', '', 'RAW');
	



/**
 * Paths
 *
 *
 */

	$lessBasePath = JPATH_SITE . '/templates/' . $this->template . '/less';
	$path = JPATH_SITE . '/templates/' . $this->template;



/**
 * 	When the load template.css is enabled we create the template.css based on the current settings
 *	Lets just check to see if the template.css file exists early int he file
 *	and return if it does to save some time.
 */
 	
 	$write_css = 0;
 	
	if($enable_template_css =="1") {
		if (file_exists($path . '/css/template.css')) {
		    echo '<div class="alert alert-success"><h4 class="alert-heading">Message</h4><p>Template.css already exists so need to create it..</p></div>';
		    
		    return;
		    
		} else {
			$write_css = 1;
		}
	}
	
	

// Only parse the admin settings if not creating css
if(!$enable_template_css) {

/**
 * Variables
 *
 *
 */

	$variable_array = array();

	// Process Colour Variables
	foreach ($variables as $variable) {

		$variable = explode('||', $variable);

		if(isset($variable[1])) {

			$firstletter = substr($variable[1], 0, 1);
			
			// First three letters
			// Because Hex values like ddd and aaa
			// Also look like darken and auto
			$threeletters = substr($variable[1], 0, 3);
			
			if (trim($variable[1]) !== '') {
				$param = $variable[0].'';
				
				// Checks to see if using transparent, inherit, auto, lighten or darken
				if($firstletter =="@" || $firstletter =="l" || $firstletter =="t" || $firstletter =="i") {
				
					if($firstletter == "l") {
						
						// We can lighten # or variables so need to readd # if its a hex
						$variable = explode('(', $variable[1]);
						
						// Check for first letter of variable we are looking at
						$firstletter = substr($variable[1], 0, 1);
						
						// If its a variable just do the normal process
						if($firstletter == '@') {
							$value = $variable[0].'('.$variable[1];
						} else {
							//other wise it must be a colour so we add back the #
							$value = $variable[0].'(#'.$variable[1];
						}
					}
					else {	
						$value = $variable[1];
					}
				
				} elseif($threeletters =="dar" || $threeletters =="aut") {
						
						// We can lighten # or variables so need to readd # if its a hex
						$variable = explode('(', $variable[1]);
						
						// Check for first letter of variable we are looking at
						$firstletter = substr($variable[1], 0, 1);
						
						// If its a variable just do the normal process
						if($firstletter == '@') {
							$value = $variable[0].'('.$variable[1];
						} else {
							//other wise it must be a colour so we add back the #
							$value = $variable[0].'(#'.$variable[1];
						}
						
				} else {
					$value = '#'.$variable[1];
				}
				
				$variable_array[$param] = $value;
			}
		}
	}
	

	// Process relevant settings
	foreach ($settings as $variable) {

		$variable = explode('||', $variable);

		if(isset($variable[1])) {
			$param = $variable[0].'';
			$value = $variable[1];
			$variable_array[$param] = $value;
		}
	}



/**
 * Declare Files Array
 *
 *
 */


	$files = array();




/**
 * Bootstrap
 *
 *
 */

 if($framework_enable) {

 	// Get Framework version
 	$framework_version = $jinput->get('framework_version');

 	// Get Bootstrap files to compile
 	$framework_files = $jinput->get('framework_files','','CMD');
 	$framework_files = explode('_', $framework_files);

 	$write_framework_file = "";
 	$write_framework_file .= '@import "variables.less";'."\n";

 	if($framework_version !=="uikit") {
 		$write_framework_file .= '@import "mixins.less";'."\n";
 	}

 	foreach ($framework_files as $key => $file) {
 		if($file !=="") {
 			$write_framework_file .= '@import "'.$file.'.less";'."\n";
 		}
 	}

 	file_put_contents($path . '/zen/libs/frameworks/'.$framework_version.'/less/'.$framework_version.'.less', $write_framework_file);

 	$files[] = $path . '/zen/libs/frameworks/'.$framework_version.'/less/'.$framework_version.'.less';
 }



/**
 * Animate CSS
 *
 *
 */

	// Animate css
	if($animate) {
		
		$files[] = $path . '/zen/libs/zen/less/animate/animate.less';
		
		$animations = explode(',', $animations);
		$animations = array_unique($animations);
		
		foreach ($animations as $key => $animation) {
			if($animation !=="" && $animation !=="none") {
				$files[] = $path . '/zen/libs/zen/less/animate/'.$animation.'.less';
			}	
		}
	}



/**
 * Main Template
 *
 *
 */

	// Main Theme less File
	$files[] = $lessBasePath.'/template.less';



/**
 * Zenmenu
 *
 *
 */

	$zenmenu = JPATH_SITE . '/modules/mod_zenmenu/less/zenmenu.less';

	if(file_exists($zenmenu)) {
		//$files[] = $zenmenu;
	}



/**
 * Zenmenu
 *
 *
 */

	if($fontawesome_type) {
		$files[] = $path . '/zen/libs/zen/less/fontawesome/font-awesome-'.$fontawesome_type.'.less';
	}
	

/**
 * Extra Less files added
 *
 *
 */

	

	if($addtocompiler !=="") {
		$addtocompiler = rtrim($addtocompiler, ",");
		$addtocompiler = explode(',', $addtocompiler);
		
		foreach ($addtocompiler as $key => $file) {
			$files[] = $file;
		}
		
	}
	
	

/**
 * Custom Less File
 *
 *
 */

	$customless = $path . '/less/custom.less';

	if(file_exists($customless)) {
		$files[] = $customless;
	}



/**
 * Start Compression and Loop through the array
 *
 *
 */

	$options = array();

	if($compressed) {
		$options['compress'] = 'true';
	}


	$parser = new Less_Parser( $options );

	$css = "";
	foreach ($files as $key => $file) {
		$parser->parseFile( $file,'');
		$parser->ModifyVars($variable_array);
		$css .= $parser->getCss();
		$parser->reset();
	}
	
	
	file_put_contents($path . '/css/theme.'.$style_name.'.css', $css);
	
	echo '<div class="alert alert-success"><h4 class="alert-heading">Message</h4><p>Less has been compiled to css.</p></div>';

	
	// Create gzipped version
		$gzip = '<?php ob_start ("ob_gzhandler");
		    header("Content-type: text/css; charset: UTF-8");
		    header("Cache-Control: must-revalidate");
		    $offset = 60 * 60 ;
		    $ExpStr = "Expires: " .
		    gmdate("D, d M Y H:i:s",
		    time() + $offset) . " GMT";
		    header($ExpStr);?>';
	
		$gzip .= $css;
	
		file_put_contents($path . '/css/theme.'.$style_name.'.php', $gzip);
		
	
}
	
	
	/**
	 * 	 
	 *	If creating template.css for first time
	 *
	 */
	 
	 
	if($enable_template_css =="1" && $write_css) {
	
		
		
			// Main Theme less File
			$files[] = $lessBasePath.'/template.less';
			
			
			/**
			 * Start Compression and Loop through the array
			 *
			 *
			 */
		
			$options = array();
		
			if($compressed) {
				$options['compress'] = 'true';
			}
		
		
			$parser = new Less_Parser( $options );
		
			$css = "";
			foreach ($files as $key => $file) {
				$parser->parseFile( $file,'');
				$parser->ModifyVars($variable_array);
				$css .= $parser->getCss();
				$parser->reset();
			}
			
			
			
	    file_put_contents($path . '/css/template.css', $css);
	    
	    echo '<div class="alert alert-success"><h4 class="alert-heading">Message</h4><p>Template.css has been created.</p></div>';
	    
	} 