<?php

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );

/**
 * Init plugin options to white list our options
 */
function theme_options_init(){
	register_setting( 'sample_options', 'sample_theme_options', 'theme_options_validate' );
}

/**
 * Load up the menu page
 */
function theme_options_add_page() {
	add_theme_page( __( 'Theme Options', 'sampletheme' ), __( 'Theme Options', 'sampletheme' ), 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


if (!function_exists('zen_admin_head')) {

    function zen_admin_head() { ?>
        
       	<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri()."/zen/admin/"; ?>css/style.css" />
        <link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri()."/zen/admin/"; ?>css/colpick.css" />

        <script type="text/javascript" src="<?php echo get_stylesheet_directory_uri()."/zen/admin/"; ?>js/jquery-ui-1.8.23.custom.min.js"></script>
        <script type="text/javascript" src="<?php echo get_stylesheet_directory_uri()."/zen/admin/"; ?>js/uikit.min.js"></script>
        <script type="text/javascript" src="<?php echo get_stylesheet_directory_uri()."/zen/admin/"; ?>js/colpick.js"></script>
        <?php
    }

}


add_action('admin_head', 'zen_admin_head');


/**
 * Create the options page
 */
function theme_options_do_page() {
	global $select_options, $radio_options;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;
	

	// Include Zen Class
	$template_path = get_template_directory();
	
	//include get_template_directory().'/zen/wp/zen.php'; 

	$config = $template_path.'/settings/config.xml';
	$config = simplexml_load_file($config);
	$zen = file_get_contents($template_path.'/settings/config.json');
	$zen = json_decode($zen);
	
	
	// Define template name
	if (!defined('TEMPLATE')) {
		define( 'TEMPLATE', basename(dirname(dirname(dirname(__FILE__)))));
	}
	
	
	if (!defined('TEMPLATE_PATH')) {
		define( 'TEMPLATE_PATH',get_template_directory());
	}
	
	
	ob_start(); ?>
	
	<div id="template-toolbar">
		<h3 class="inline-heading">XERO Template</h3>
		
		<a href="#" id="compile" class="uk-button uk-button-primary">Compile Less</a>
		<a href="#" class="compresser uk-button-primary uk-button" id="compresser">Compress Scripts</a>
	</div>
	<div id="framework-options">
		<div class="uk-grid">
		    <div id="zen-sidebar" class="uk-width-medium-1-5">
		        <!-- This is the vertical tabbed navigation containing the toggling elements -->
		       
		        <ul class="uk-nav" data-uk-tab="{connect:'#theme-settings'}">
		        		<!--<li>
		        		<a href="#" id="save-theme" class=" uk-button uk-button-primary">Save Theme</a>
		        		</li>-->
		        		<?php // Sidebar Nav
		        			  foreach($config as $items) { 
		        			  
		        			  	$safename = strtolower(str_replace(' ', '-', $items['name']));?>
		        			  	
		        			  	<li id="<?php echo $safename; ?>" data-id="<?php echo $safename; ?>">
		        					<a href="#<?php echo $safename; ?>"><span class="<?php echo $items['icon'];?>"></span><?php echo $items['name']; ?></a>
		        				</li>
		        		<?php }	?>
		        </ul>
		    </div>
		    <div class="uk-width-medium-5-5">
		    	 <!-- This is the container of the content items -->
		        <ul id="theme-settings" class="uk-switcher">
		        <?php 	// Options container			
		        	foreach($config->children() as $fields) { 
		        	
		        	$safename = strtolower(str_replace(' ', '-', $fields['name']));
		        		?>
		        	<li id="<?php echo $safename; ?>">	
		        		<ul>	
		        			<?php //print_r($fields);
		        				foreach ($fields as $key => $field) { ?>
		        				
		        					<li>	
	    								<?php  
	    									$type = (string)$field['type'];
	    									$description = $field['description'];
	    									$label = $field['label'];
	    									$name = $field['name'];
	    									$class = $field['class'];
	    									
	    									if(isset($zen->params->{$name})) {
	    										$value = $zen->params->{$name};
	    									} else {
	    									
	    										$value = '';
	    									}
	    									
	    									
	    									$options = array();
	    							
	    									foreach ($field->children() as $child) {
	    										$options[] = $child;
	    									}
	    								$type($description,$label,$options, $name,$class, $value);
	    								?>
		        					</li>	
		        			<?php } ?>
		        		</ul>
		        	</li>
		        <?php } ?>
		        </ul>
		    </div>
		</div>
	</div>
	
	<script>
		jQuery(document).ready(function ($) {
		
		
			// Checkbox states
			$('#theme-settings input[type="checkbox"]').each(function () {
				
				var toggle = $(this).attr('id');
				
				$('.' + toggle).hide();
				
				if($(this).prop('checked') ) {	
					$('.' + toggle).fadeIn();
				} 
			});
			
			
			
			// Select states
			$('#theme-settings .zen-select').each(function () {
				
				
				var toggle = $(this).attr('id');
				
				if($(this).val() == -1) {
					$('.' + toggle).fadeIn();
					
				}
				
				else {
					$('.' + toggle).fadeOut();
				}
			});
			
			
			
			// Select states
			$('#theme-settings .zen-select').change(function () {
				
				var toggle = $(this).attr('id');
				
				if($(this).val() == -1) {
					$('.' + toggle).fadeIn();
					
				}
				
				else {
					$('.' + toggle).fadeOut();
				}
			});
			
			
			
			
			$('input').click(function() {
				
				var toggle = $(this).attr('id');
				
				// Set value to 0
				$(this).val('');
				
				// Check if checked and set to 1
				if($(this).is(':checked')) {
					$(this).val('1');
					$('.' + toggle).fadeIn();
				}
				else {
					$('.' + toggle).fadeOut();
					
				}
				
			});
			
			
			var template = '<?php echo TEMPLATE;?>';
			
			$('#toolbar-apply button,#save-theme').click(function() {
				saver();
		
				return false;
			});
				
				
				
			var saver = function (name, content,templateId) {
		    
		    
	    	    var settings ="";
	    	    
	    	    $('#theme-settings input,#theme-settings textarea,#theme-settings select').each(function() {
	    	    	
	    	    	
	    	    	id = $(this).attr('id');
	    	    	
	    	    	if($(this).is('select')) {
		    	    	
		    	    	value = $('#' + id).val();
		   			    	    	
					} else {
		    	    	
		    	    	value = $(this).val();
		    	    	
		    	    	if(value=='on') {
		    	    		value="1";
		    	    	}			    	    	
		    	    }
	    	    	
	    	    	settings += id;
	    	    	settings += '||';
	    	    	settings += value;
	    	    	settings += '--';
	    	    });
	    	    
	    	    var layout = "";
	    	    
	    	    $('.module-row').each(function() {
	    	    	
	    	    	row = $(this).attr('data-id');
	    	    	
	    	    	layout += row;
	    	    	layout += ':';
	    	    	
	    	    	//alert(row);
	    	    	$('#' + row +  ' div.resizable.visible').each(function() {
		    	    	
		    	    	id = $(this).attr('id');
		    	    	width = $(this).attr('data-width');
		    	    	layout += id;
		    	    	layout += ',';
		    	    	layout += width;
		    	    	layout += '--';
		    	    });
		    	   
		    	    layout += '|';
	    	    });
	    	    
	    	    
	    	    url = '../?template=' + template + '&tmpl=ajax-save&data=' + settings + '&layout=' + layout;
				
				
		    	    $.ajax({
		    	        url: url,
		    	        method: 'post',
		    	        context: document.body,
		    	        data: {
		    	        	content: content
		    	        },
		    	        
		    	        beforeSend: function () {
		    	           
		    	        },
		    	        success: function (data) {
		    	         alert(data);    
		    	        }
		    	       
		    	   	});
			}
			
			
			$( ".resizable" ).each(function() {
				var width = Math.round($(this).width() / 50);
				$(this).attr('class','').addClass('resizable ui-widget-content ui-resizable visible');
				$(this).find('.ui-widget-header span.col-count').text();
				$(this).find('.ui-widget-header span.col-count').text(width).parent().parent().addClass('grid-'+ width).attr('data-width', width);
				
				if($(this).attr('data-active')) {
					$(this).addClass('visible');
				} else {
					$(this).fadeOut().removeClass('visible');
					var id = $(this).attr('id');
					
					$('.unused-modules div[data-id="' + id + '"]').fadeIn().parent().addClass('active');
				}
			});
			
			
			$( ".resizable" ).resizable({
			      grid: 40,
			      minWidth:40,
			      containment: "#resize-container",
			      handles: 'e',
			      
			      resize: function( event, ui ) {
			      	$(this).attr('class','').addClass('resizable ui-widget-content ui-resizable visible');
			      	
			      	var width = Math.round($(this).width() / 50);
			      	$(this).find('.ui-widget-header span.col-count').text();
			      	$(this).find('.ui-widget-header span.col-count').text(width).parent().parent().addClass('grid-'+ width).attr('data-width', width);
			      	
			      }
			 });
			 
			 $('.module-row .icon-eye').live('click',function() {
			 	
			 	 var id = $(this).parent().parent().attr('id');
			 	 	$(this).parent().parent().fadeOut().removeClass('visible');
			 	 	$('div[data-id="' + id + '"]').fadeIn().addClass('active').parent().addClass('active');
			 	 	
			 });
			 
			 $('.unused-modules div').live('click', function() {
			 		
			 		var target = $(this).parent().attr('data-id');
			 		
			 		$(this).removeClass('active');
			 		
			 		if($('.unused-modules[data-id="' + target + '"] .active').length == 0)
			 		{
			 				$(this).parent().removeClass('active');
			 				
			 		} 
			 		
			 		id = $(this).attr('data-id');
			 		$(this).fadeOut();
			 		$('.module-row #' + id).fadeIn().addClass('visible');
			 		
			 });
			 
			 
			setTimeout(function() {
				 $('#system-message-container').fadeOut();
			},2000);
			 
			     		 
			 
			
		});
			
	</script>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function theme_options_validate( $input ) {
	global $select_options, $radio_options;

	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );

	// Say our text option must be safe text with no HTML tags
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );

	// Our select option must actually be in our array of select options
	if ( ! array_key_exists( $input['selectinput'], $select_options ) )
		$input['selectinput'] = null;

	// Our radio option must actually be in our array of radio options
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;

	// Say our textarea option must be safe text with the allowed tags for posts
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );

	return $input;
}

// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/





/**
	 * Defines fields used for Theme Admin
	 *
	 * 
	 */
	 
	 
	 
	/**
	 * Section 
	 * Used to separate sections within panels
	 * 
	 */
	 
	function section($description,$label,$options, $name, $class, $default) {
		echo '<div class="bevel '.$class.'"></div><h2 class="uk-article-title '.$class.'">'.$label.'</h2>';
	
		if($description !=="" && isset($description)) {
	 		echo '<p class="info">'.$description.'</p>';
		}
	}
	
	
	
	/**
	 * Sub Section
	 * Smaller tiotles for sections
	 * 
	 */
	 
	function subsection($description,$label,$options, $name, $class, $default) {
		echo '<h3 class="subsection uk-article-lead '.$class.'">'.$label.'</h3>';
	
		if($description !=="" && isset($description)) {
	 		echo '<p class="info">'.$description.'</p>';
		}
	} 
	
	
	/**
	 * Description
	 * Smaller tiotles for sections
	 * 
	 */
	 
	function description($description) {
		echo '<p class="description">'.$description.'</p>';
		
	} 
	 


	/**
	 * Checkbox
	 *
	 * 
	 */
	 
	function checkbox($description, $label, $options, $name, $class, $value) {
	
		echo '<label class="zen-checkbox">';
		echo '<input id="'.$name.'" type="checkbox"';
		if($value == '1') { echo 'checked';}
		echo '>';
		echo $label;
		echo '</label>';
		if($description !=="" && isset($description)) {
			echo '<p class="'.$name.'">'.$description.'</p>';
		}
	}
	
	
	/**
	 * Select
	 *
	 * 
	 */
	 
	function select($description, $label, $options,$name,$class, $default) {
	 	
	 	echo '<p class="uk-article-lead">'.$label.'</p>';
	 	
	 	echo '<select id="'.$name.'" class="zen-select" value="'.$default.'">';
	 	          
	 		foreach ($options as $key => $option) {
	 			
	 			if($options[$key]['value'] == $default) {
	 				echo  '<option selected value="'.$options[$key]['value'].'">'.$options[$key][0].'</option>';
	 			} else {
	 				echo  '<option value="'.$options[$key]['value'].'">'.$options[$key][0].'</option>';
	 			} 	
	 			
	 		}
	 		
	 	echo '</select>';
	 }
	 
	 
	 
	 
	 /**
	  * Color Overview
	  *
	  * 
	  */
	  
	 function coloroverview() { ?>

	 	<div id="color-overview-box"></div> 
	 	
	 	
	 	<script>
	 		jQuery(document).ready(function($) {
	 			
	 			$('.zt-picker').each(function() {
	 				
	 				var value = $(this).val();
	 				var id = $(this).attr('id');
	 				
	 				if((id !=="textcolor") && (id !=="headingcolor")) {
	 					var data ='<div class="color-box-item"><div id="' + id +'-color-box" class="color-box-inner" style="background:#'+ value +'"></div><p>' + id + '</p></div>';
	 				
	 					$('#color-overview-box').append(data);
	 				}
	 				
	 			});
	 		});
	 	
	 	</script>
	 	
	 	
	<?php }
	 
	 
	 
	 
	 /**
	  * Preview
	  *
	  * 
	  */
	  
	 function preview() { 
	 
	 
	 	echo '<img src="../templates/'. TEMPLATE .'/template_preview.png" alt="Template Preview" />';
	 
	 }
	/**
	 * Compile
	 *
	 * 
	 */
	 
	 function compile($description) { ?>
	 	
	 
	 	
	 	<script>
	 		jQuery(document).ready(function($) {
	 	
	 			var template = '<?php echo TEMPLATE;?>';
	 			
	 			$('#compile').click(function() {
	 		
	 				compile();
	 				
	 			});
	 			
	 			var compile = function () {
	 				 
	 				var variables ="";
	 				
	 				$('.zt-picker').each(function() {
	 					
	 					var value = $(this).val();
	 					var id = $(this).attr('id'); 
	 					
	 					variables += id;
	 					variables += '|';
	 					variables += value;
	 					variables += ',';
	 					      		
	 				});
	 				
	 				url = '../?template=' + template + '&tmpl=ajax-compiler&variables=' + variables;
 					
 					
 					$.ajax({
	 			        url: url,
	 			        method: 'get',
	 			        context: document.body,
	 			        beforeSend: function () {
	 			          		    	            	                    
	 			        },
	 			        success: function (data) {
	 			        	
	 			        	alert(data + 'Preset Saved - Please save your changes before proceeding.');
	 			        }
	 			    });
 			 }
	   		
	 	});
	 	</script>
	 	
	 <?php	
	 }
	
	

	/**
	 * Text Input
	 *
	 * 
	 */
	 
	function text($description,$label,$options, $name, $class, $default) {
		echo '<label class="'.$class.'">';
		echo $label;
		echo '</label>';
		echo '<input class="'.$class.' uk-form uk-form-large uk-form-width-large" id="'.$name.'" value="'.$default.'"/>';
	}
	
	
	
	/**
	 * Textarea
	 *
	 * 
	 */
	 
	function textarea($description,$label,$options, $name,$class, $value) {
		echo '<label>';
		echo $description;
		echo '</label>';
		echo '<textarea class="uk-form uk-form-large" id="'.$name.'">'.$value.'</textarea>';
	}
	
	
	
	/**
	 * Guide
	 *
	 * 
	 */
	 
	function guide($description,$label,$options, $name,$class, $value) {
		echo '
		';

	}
	
	
	
	/**
	 * Color
	 *
	 * 
	 */
	 
	function color($description,$label,$options, $name,$class, $value) { ?>
		
		
			<div class="color-wrap">
				<label><strong><?php echo $label;?></strong></label>
				<input type="text" class="zt-picker setting" id="<?php echo $name;?>" value="<?php echo $value;?>" style="border-color:#<?php echo $value;?>"></input>
			</div>
			<script>
				jQuery(document).ready(function($) {
				
				
					$('input#<?php echo $name;?>').colpick({
					 		layout:'hex',
					 		submit:0,
					 		colorScheme:'dark',
					 		
					 		onChange:function(hsb,hex,rgb,el,bySetColor) {
					 			
					 			id = $(el).attr('id');
					 			
					 			$('#' + id + '-color-box').css('background','#'+hex);
					 			el = '#' + $(el).attr('id');
					 			
					 			$(el).css('border-color','#'+hex);
					 			
					 			// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
					 			if(!bySetColor) $(el).val(hex);
					 		}
					 	}).keyup(function(){
					 		$(this).colpickSetColor(this.value);
					 	});
				});
			
			</script>
		
		
	<?php }
	
	
	
	
	/**
	 * Presets
	 *
	 * 
	 */
	function presets($description,$label,$options, $name,$class, $value) {
		
		// Get list of layouts
		$hilitepath		= TEMPLATE_PATH.'/settings/presets/';
		
		// EDIT WP TWEAK
		//$files = JFolder::files($hilitepath,'', false, false );
		$files = glob($hilitepath.'*.json');
		
		$options ='';
	
		
		foreach ($files as $key => $hilite)
		{
			// EDIT WP TWEAK
			
			//$file = JFile::stripExt($hilite);
			$hilite = str_replace(TEMPLATE_PATH.'/settings/presets/', '', $hilite);
			$file = str_replace('.json', '', $hilite);
			
			if($hilite !=="index.html") {
				$options .= '<option value="'.$file.'">'.$file.'</option>';
			}
		}	
		
		// Get preset settings
		
	 ?>
	
		<div id="theme-settings" style="display: none;">
			<?php 
			
			foreach ($files as $key => $preset) {
				
				$theme = file_get_contents($preset);
				$theme = json_decode($theme);
				
				// WP EDIT
				//$preset = JFile::stripExt($preset);
				$preset = str_replace('.json','',$preset);
				
				if($preset !=="index") {
					echo '<div id="'.$preset.'">';
					
						foreach ($theme as $key => $setting) {
							echo $key;
							echo '-';
							echo $setting;
							echo ',';	
						}
					
					echo '</div>';
				}
			} ?>
		</div>
		
		<div id="theme-preset-wrap">
			<select id="theme-preset">
				<?php echo $options;?>
			</select>
		
			<a href="#" class="uk-button-primary uk-button" id="apply-preset">Load Preset</a>
		</div>
		
	
		
		
		<script>
			jQuery(document).ready(function ($) {
			
			     // Apply Preset code
		        
		        $('#theme-preset').val('');
		        
		        $(document).on('click', '#apply-preset', function() {
		        	
		        	var theme = $('#theme-preset').val();
		        	
		        	$('#theme-preset').val('---');
		        			        	
		        	var settings = $('#'+theme).text();
		        	
		        	settings = settings.split(',');
		    
		        	$(settings).each(function(i, value) {
		        		
		        	if(value !=="") {
			        	
			        		value = value.split('-');
			        	  	var element = value[0];
			        		var value = value[1];
			        			value = value.replace('#', '');
			        		
			        		$('#' + element).val(value).css('border-color', '').css('border-color', '#' +value);
			        		$('#' + element + '-color-box').css('background', '#' +value);
		        		}
		        	});
		        	
		        	
		        	return false;
		        });
		        
		        
		        
		        $(document).on('click', '#save-preset', function() {
		        	
		        	save_preset();
		        	
		        	return false;
		        
		       	 });	
		    	
		    	
		    	
		    	var template = '<?php echo TEMPLATE;?>';
		    	
		    		
		    	 var save_preset = function () {
		    	 	 
		    	 	var preset ="";
		    	 	
		    	 	$('.zt-picker').each(function() {
		    	 		
		    	 		var value = $(this).val();
		    	 		var id = $(this).attr('id'); 
		    	 		
		    	 		preset += id;
		    	 		preset += '|';
		    	 		preset += value;
		    	 		preset += ',';
		    	 		      		
		    	 	});
		    	 	
		    	 		var name = $('#preset-name').val();
		    	 	
		    	 	
		    			url = '../?template=' + template + '&tmpl=ajax-preset&preset=&preset=' + preset + '&name=' + name;
		    			
		    			$.ajax({
		    	         url: url,
		    	         method: 'get',
		    	         context: document.body,
		    	         beforeSend: function () {
		    	           		    	            	                    
		    	         },
		    	         success: function (data) {
		    	         	//alert('Preset Saved - Please save your changes before proceeding.');
		    	         }
		    	     });
		    	  }; 
		    	
		    	    
		    });
		    </script>
		    
		    
		
		<?php
	}
	
	
	function save_preset_text() { 
		echo '<div class="clearfix"></div>';
		echo '<a href="#" class="uk-button-primary uk-button" id="save-preset">Save Preset</a>';
		echo '<input class="uk-form uk-form-large " id="preset-name" value="New-Preset">';
	 }
	
	
	
	/**
	 * Layout
	 *
	 * 
	 */
	 
	function layout($description) {
	
		// Template Path
		
		
		// Get Theme blocks
		// WP EDIT
		//$theme_layout = Jfile::Read(TEMPLATE_PATH.'/settings/config.json');
		$theme_layout = file_get_contents(TEMPLATE_PATH.'/settings/styles/config.json');
		$theme_layout = json_decode($theme_layout);
		$used_items = $theme_layout->layout;
		
	
		// Compare keys with default layout with used layouts
		// WP EDIT
		$default_layout = file_get_contents(TEMPLATE_PATH.'/settings/layouts/positions.json');
		$default_layout = json_decode($default_layout);
		
		echo '<div id="resize-container">';
		
		foreach ($default_layout as $key => $row) { 
		
			echo '<div id="'.$key.'" data-id="'.$key.'" class="module-row">';
			
			foreach ($row as $title => $width) {
				
					
				if(isset($used_items->$key->{$title})) {
					$width = $used_items->$key->{$title};
				}
			
				
				echo '<div id="'.$title.'" class="resizable ui-widget-content grid-'.$width.' visible" data-width="'.$width.'">';
				echo '<h3 class="ui-widget-header">';
				echo '<span class="icon-eye"></span>';
				echo '<span class="col-count"></span>'.ucfirst($title).' </h3>';
				echo '</div>';
			}
			
			echo '</div>';

			
			echo '<div data-id="'.$key.'" class="unused-modules"><span class="icon-eye cancel"></span>';
				
				foreach ($row as $title => $width) {
					echo '<div data-id="'.$title.'">'.ucfirst($title).'</div>';
				}
				
			echo '</div>';	
		}
		
		echo '</div>';
		
		echo '<script>';
		echo 'jQuery(document).ready(function($) {';
		
		foreach ($used_items as $key => $row) { 
		
			
			foreach ($row as $module => $item) {
				echo '$(".module-row #'.$module.'").attr("data-active", "1");';
			}
			
		}
		
		echo '});';
		echo '</script>';
		
	}
	
	
	
	/**
	 * Compressor
	 *
	 * 
	 */
	function compress($description,$label,$options, $name,$class, $value) { 
			
			
			$assets = TEMPLATE_PATH.'/settings/assets.xml';
			
			// WP EDIT
			$assets = simplexml_load_file($assets);
			$assets = $assets->js->file;
			
			$files = '';
			
			foreach ($assets as $key => $file) {
				$files .= $file;
				$files .= '+';	
			}
			
			
			
	?>
		<script>
			jQuery(document).ready(function ($) {
			
			//
		    // Resize Image function
		    //
		    //
		    var template = '<?php echo TEMPLATE;?>';
		   
		  	
		    var compress = function () {
		    	 
		    	var custom = $('#add_to_compressor').val();
		    	
	    		url = '../?template=' + template + '&tmpl=ajax-compressor&files=<?php echo $files;?>&custom=' + custom;
	    		
	    		$.ajax({
	                url: url,
	                method: 'get',
	                context: document.body,
	                beforeSend: function () {
	                  	                   	                    
	                },
	                success: function (data) {
	                	$('#compiler-message').html(data).fadeIn();
	                	jQuery('.compresser').text(data + 'Compressed').fadeOut(30000, function() {
	                		jQuery('.compresser').text('Click to update javascript').fadeIn();
	                	});
	                }
	            });
	         }; 

	        //
	        // Resize Image function
	        // Uses the image resize function to re-resize the images
	        //
	        $(document).on('click', '.compresser', function() {
	        	compress();
	        	
	        	return false;
	        });
	        
	     });
        </script>
		
		<div id="compress-tool">
			<p>
				
			</p>
			
			<p><?php echo $description;?></p>
		</div>
		
	<?php }